%define __kde4_alternate_placement 1
%def_disable quanta

%define rname kdewebdev
Name: kde4webdev
%define major 4
%define minor 2
%define bugfix 4
Version: %major.%minor.%bugfix
Release: alt0.M50.1

Group: Graphical desktop/KDE
Summary: A web development for the KDE Desktop Environment
Url: http://kdewebdev.org/
License: GPLv2+

%if_enabled quanta
Requires: %name-quanta = %version-%release
%endif
Requires: %name-klinkstatus = %version-%release
Requires: %name-kfilereplace = %version-%release
Requires: %name-kommander = %version-%release
Requires: %name-kimagemapeditor = %version-%release
Requires: %name-kxsldbg = %version-%release


#Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar.bz2
Source: %rname-%version.tar


Requires: %name-kxsldbg = %version-%release
Requires: %name-kimagemapeditor = %version-%release
Requires: %name-klinkstatus = %version-%release
Requires: %name-kfilereplace = %version-%release
Requires: %name-kommander = %version-%release
#Requires: %name-quanta = %version-%release

# Automatically added by buildreq on Fri Oct 24 2008 (-bi)
#BuildRequires: gcc-c++ kde4base-runtime kde4pimlibs-devel libXScrnSaver-devel libXcomposite-devel libXdamage-devel libXft-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libbfd-devel libjpeg-devel libreadline-devel libruby-devel libxkbfile-devel libxslt-devel xorg-xf86vidmodeproto-devel xsltproc
BuildRequires(pre): kde4base-runtime kde4pimlibs-devel
BuildRequires: gcc-c++ xorg-devel
BuildRequires: libbfd-devel libjpeg-devel libreadline-devel libruby-devel libxslt-devel xsltproc
#BuildRequires: boost-devel tidy-devel
BuildRequires: kde4base-runtime >= %version kde4pimlibs-devel >= %version

%description
Kommander: a GUI script builder and executor tool. Needed for some Quanta functionality.
KFileReplace: powerful search and replace in multiple files
KXSLDbg: XSL debugger
KImageMapEditor: image map editor
KLinkStatus: link checker

%package common
Summary: %name common package
Group: System/Configuration/Other
Requires: kde-common >= %major-%minor
%description common
%name common package

%package quanta
Summary: Quanta
Group: Development/Other
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description quanta
A HTML editor for the K Desktop Environment.

%package klinkstatus
Summary: Link checker
Group: Networking/Other
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description klinkstatus
* Support several protocols (allowing fast checking of
local documents): http, ftp, ssh (fish or sftp) and file.
* Proxy support
* Allows authentication when checking restricted documents
* Supports the latest Web standards-- HTML 4.0, HTTP 1.1
* Server-Side Includes (SSI, aka SHTML) are supported and checked
* Regular expressions to restrict which URLs are searched
* Show link results as they are checked
* Tree like view (that reflects the file structure of the documents) or
  flat view
* Limit the search depth
* Fragment identifiers ("#" anchor links that point to a specific
 section in a document) are supported and checked
* Pause/Resume of checking session
* History of checked URLs
* Tabbed checking (allow multiple sessions at the same time)
* Filter checked links (good, broken, malformed and undetermined)
* Configurable number of simultaneous connections (performance tunning)
* Other configurable options like "check external links",
"check parent folders", "timeout"
* Good integration with Quanta+

%package -n libklinkstatuscommon4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libklinkstatuscommon4
KDE 4 core library.

%package kfilereplace
Summary: Search and replace in multiple files
Group: Text tools
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kfilereplace
Search and replace in multiple files

%package -n libkommanderwidgets4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libkommanderwidgets4
KDE 4 core library.

%package -n libkommandercore4
Summary: KDE 4 core library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libkommandercore4
KDE 4 core library.

%package kommander
Summary: GUI script builder and executor tool
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kommander
GUI script builder and executor tool

%package kimagemapeditor
Summary: HTML image map editor
Group: Development/Other
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kimagemapeditor
HTML image map editor

%package kxsldbg
Summary: XSL debugger
Group: Development/Other
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description kxsldbg
XSL debugger

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and QT
Requires: %name-common = %version-%release
%description devel
This package contains header files needed if you wish to build applications
based on %name.

%prep
%setup -q -n %rname-%version

%build
%K4build

%install
%K4install


%files
%files common
%doc README
%__kde4_iconsdir/*/*/actions/*
%exclude %__kde4_iconsdir/*/*/actions/*xsldbg*

%if_enabled quanta
%files quanta
%__kde4_bindir/quanta
%_K4lib/libkdev*
%_K4lib/quanta*
%_K4libdir/libkdevquanta.so.*
%__kde4_xdg_apps/quanta.desktop
%_K4cfg/quanta.kcfg
%_K4srv/kdev*
%_K4srv/quanta*
%_K4srvtyp/kdev*
%_K4apps/kdev*/*
%_K4apps/quanta*/*
%__kde4_iconsdir/*/*/apps/quanta*
%__kde4_doc/en/quanta
%endif

%files klinkstatus
%__kde4_bindir/klinkstatus
%_K4lib/klinkstatuspart.so
%_K4lib/automationklinkstatus.so
%_K4lib/krossmoduleklinkstatus.so
%__kde4_xdg_apps/klinkstatus.desktop
%_K4apps/klinkstatus
%_K4apps/klinkstatuspart
%__kde4_iconsdir/*/*/apps/klinkstatus.png
%_K4srv/klinkstatus_part.desktop
%_K4conf/klinkstatus.knsrc
%_K4srv/klinkstatus_automation.desktop
%_K4srv/krossmoduleklinkstatus.desktop
%__kde4_doc/en/klinkstatus
%_K4dbus_interfaces/org.kde.kdewebdev.klinkstatus.SearchManager.xml

%files -n libklinkstatuscommon4
%_K4libdir/libklinkstatuscommon.so.*

%files kfilereplace
%__kde4_bindir/kfilereplace
%__kde4_xdg_apps/kfilereplace.desktop
%_K4apps/kfilereplace
%_K4apps/kfilereplacepart
%__kde4_iconsdir/*/*/apps/kfilereplace.png
%_K4srv/kfilereplacepart.desktop
%_K4lib/libkfilereplacepart.so
%__kde4_doc/en/kfilereplace
%_K4dbus_interfaces/org.kde.kfilereplace.xml

%files -n libkommanderwidgets4
%_K4libdir/libkommanderwidgets.so.*

%files -n libkommandercore4
%_K4libdir/libkommandercore.so.*

%files kommander
%__kde4_bindir/kommander
%_K4applnk/.hidden/kommander.desktop

%files kimagemapeditor
%__kde4_bindir/kimagemapeditor
%__kde4_xdg_apps/kimagemapeditor.desktop
%_K4apps/kimagemapeditor
%__kde4_iconsdir/hicolor/*/apps/kimagemapeditor.png
%_K4srv/kimagemapeditorpart.desktop
%_K4lib/libkimagemapeditor.so
%__kde4_doc/*/kimagemapeditor

%files kxsldbg
%__kde4_bindir/kxsldbg
%__kde4_bindir/xsldbg
%__kde4_xdg_apps/kxsldbg.desktop
%dir %_K4apps/kxsldbg
%_K4apps/kxsldbg/*
%dir %_K4apps/xsldbg
%_K4apps/xsldbg/*
%dir %_K4apps/kxsldbgpart
%_K4apps/kxsldbgpart/*
%__kde4_iconsdir/*/*/*/*xsldbg*
%_K4srv/kxsldbg_part.desktop
%_K4lib/libkxsldbgpart.so
%__kde4_doc/en/kxsldbg
%__kde4_doc/en/xsldbg
%_K4dbus_interfaces/org.kde.kxsldbg.kxsldbg.xml
#%_man1dir/xsldbg.1.*

%files devel
#%_K4dbus_interfaces/*
%_K4includedir/*
%__kde4_libdir_link/*.so

%changelog
* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Tue Jun 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Tue May 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version

* Mon Apr 06 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Fri Mar 06 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Thu Jan 29 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Thu Jan 22 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version
- removed deprecated macroses from specfile

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Mon Oct 27 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- initial specfile

